Package org.eclipse.emf.cdo.session

## Interface CDOSessionInvalidationEvent

- All Superinterfaces:
    `CDOBranchPoint`, `CDOBranchProvider`, `CDOChangeKindProvider`, `CDOChangeSetData`, `CDOCommitData`, `CDOCommitInfo`, `CDOSessionEvent`, `CDOTimeProvider`, `org.eclipse.net4j.util.event.IEvent`
  All Known Subinterfaces:
    `InternalCDOSessionInvalidationEvent`

      public interface CDOSessionInvalidationEvent
      extends CDOSessionEvent, CDOCommitInfo

  A `session event` fired when passive updates (commit notifications) are being received from a remote repository. `Passive updates` must be enabled for this event to be fired.
  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    `CDOInvalidationNotification`, `CDOAdapterPolicy`
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `LOCAL_ROLLBACK` |

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOTransaction` | `getLocalTransaction()` | Returns the transaction that was committed and thereby caused this event to be emitted if this transaction is local, or `null` if the transaction was remote.
    `java.util.Map<CDORevision,​CDOPermission>` | `getOldPermissions()` |
    `CDOView` | `getView()` | Deprecated. Use `getLocalTransaction()`.
    `boolean` | `isRemote()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeKindProvider

      `getChangeKind`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeSetData

      `copy, forEachRevision, forEachRevisionDelta, getAffectedIDs, getChangedObjects, getChangeKinds, getDetachedObjects, getNewObjects, isEmpty, merge`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitData

      `getNewPackageUnits`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitInfo

      `getComment, getCommitInfoManager, getMergedCommitInfo, getMergeSource, getPreviousCommitInfo, getPreviousTimeStamp, getUserID, isCommitDataLoaded, isInitialCommit`

    - ### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionEvent

      `getSource`

- - ### Field Detail

    - #### LOCAL_ROLLBACK

          static final long LOCAL_ROLLBACK

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLocalTransaction

          CDOTransaction getLocalTransaction()

      Returns the transaction that was committed and thereby caused this event to be emitted if this transaction is local, or `null` if the transaction was remote.
      Since:
        4.0

    - #### getView

          @Deprecated
          CDOView getView()

      Deprecated.
      Use `getLocalTransaction()`.

    - #### isRemote

          boolean isRemote()

      Since:
        3.0

    - #### getOldPermissions

          java.util.Map<CDORevision,​CDOPermission> getOldPermissions()

      Since:
        4.3